Package org.eclipse.lemminx.services.extensions.codeaction

## Interface IBaseCodeActionRequest

All Superinterfaces:
  `IComponentProvider`

All Known Subinterfaces:
  `ICodeActionRequest`, `ICodeActionResolverRequest`

All Known Implementing Classes:
  `CodeActionRequest`, `ResolveCodeActionRequest`

    public interface IBaseCodeActionRequest
    extends IComponentProvider

Base API for textDocument/codeAction and codeAction/request.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods
`DOMDocument` `getDocument()` Returns the DOM document.
`SharedSettings` `getSharedSettings()` Returns the shared settings.

### Methods inherited from interface org.eclipse.lemminx.services.extensions.IComponentProvider

`getComponent`

### Method Detail

#### getDocument

    DOMDocument getDocument()

Returns the DOM document.

Returns:
  the DOM document

#### getSharedSettings

    SharedSettings getSharedSettings()

Returns the shared settings.

Returns:
  the shared settings.